package com.zd.exam.mapper;

import java.util.List;
import java.util.Map;

import com.zd.exam.domain.ElCourse;

/**
 * 学习资源Mapper接口
 *
 * @author liubo
 * @date 2021-12-07
 */
public interface ElCourseMapper {
    /**
     * 查询学习资源
     *
     * @param id 学习资源主键
     * @return 学习资源
     */
    public ElCourse selectElCourseById(Long id);

    /**
     * 查询学习资源列表
     *
     * @param elCourse 学习资源
     * @return 学习资源集合
     */
    public List<ElCourse> selectElCourseList(ElCourse elCourse);

    /**
     * 查询学习资源过期列表
     *
     * @param elCourse 学习资源
     * @return 学习资源集合
     */
    public List<ElCourse> selectElCourseOverdueList(ElCourse elCourse);

    /**
     * 新增学习资源
     *
     * @param elCourse 学习资源
     * @return 结果
     */
    public int insertElCourse(ElCourse elCourse);

    /**
     * 修改学习资源
     *
     * @param elCourse 学习资源
     * @return 结果
     */
    public int updateElCourse(ElCourse elCourse);

    /**
     * 删除学习资源
     *
     * @param id 学习资源主键
     * @return 结果
     */
    public int deleteElCourseById(Long id);

    /**
     * 批量删除学习资源
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElCourseByIds(Long[] ids);

    List<ElCourse> selectByCateId(Long cateId);

    List<Map<String, Object>> queryOption(ElCourse elCourse);

}
